DRM_MM_SCAN_ADD_BLOC(9)

NAME
drm_mm_scan_add_block - add a node to the scan list

SYNOPSIS

bool drm_mm_scan_add_block(struct drm_mm_node * node);

ARGUMENTS

node
    drm_mm_node to add

DESCRIPTION

Add a node to the scan list that might be freed to make space for the desired hole.

RETURNS

True if a hole has been found, false otherwise.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT